// -----------------------------------------------------------------------------------------
// Entete du module de Gestion de la liaison RS232 via le priphrique SCI-A
// -----------------------------------------------------------------------------------------
#ifndef GESTION_UART_A_H_
#define GESTION_UART_A_H_
// -----------------------------------------------------------------------------------------
#include "services.h"

// -----------------------------------------------------------------------------------------
#define UART_A_ERR_FCN_NOT_DEFINED	-1	// code d'rreur  retourner pour les fonctions qui
										// ne sont pas implmente (voir doc TI spra861)
#define UART_A_DEV_NAME "UART_A"

// -----------------------------------------------------------------------------------------
// Dclaration des fonctions publiques du module
// -----------------------------------------------------------------------------------------
void Init_UART_A(void);
int UART_A_open(const char *path, unsigned flags, int llv_fd);
int UART_A_close(int dev_fd);
int UART_A_read(int dev_fd, char *buf, unsigned count);
int UART_A_write(int dev_fd, const char *buf, unsigned count);
off_t UART_A_lseek(int dev_fd, off_t offset, int origin);
int UART_A_unlink(const char *path);
int UART_A_rename(const char *old_name, const char *new_name);
BOOL UART_A_is_char_ready(void);

// -----------------------------------------------------------------------------------------
#endif /* GESTION_UART_A_H_ */
// -----------------------------------------------------------------------------------------
