// -----------------------------------------------------------------------------------------
// Module permettant de dfinir la cible et la configuration d'horloge
// ncessaires pour cette application
// -----------------------------------------------------------------------------------------
#ifndef DERIVATIVE_H_
#define DERIVATIVE_H_
// -----------------------------------------------------------------------------------------

// --------------------------------------------------------------------------
#ifdef __cplusplus
extern "C" {
#endif
// --------------------------------------------------------------------------

//---------------------------------------------------------------------------
#define TARGET   		1
#define PARTNO_28335  	0xEF
#define PARTNO_28334  	0xEE
#define PARTNO_28332  	0xED
#define PARTNO_28235  	0xE8
#define PARTNO_28234  	0xE7
#define PARTNO_28232  	0xE6

//---------------------------------------------------------------------------
// Selection de la cible
//---------------------------------------------------------------------------
#define   DSP28_28335   TARGET    // Selects '28335/'28235
#define   DSP28_28334   0         // Selects '28334/'28234
#define   DSP28_28332   0         // Selects '28332/'28232
//---------------------------------------------------------------------------

#include "DSP2833x_Device.h"	  // Dfinition des registres de la cible (TMS320F28335)
#include "DSP2833x_Clk_Config.h"  // Dfinitions lies  la configuration d'horloge pour cette application
#include "C28x_FPU_FastRTS.h"	  // Entete de la libraire FPU optimise pour le TMS320F28335

//---------------------------------------------------------------------------
// Include Example Header Files:
//---------------------------------------------------------------------------
#include "DSP2833x_GlobalPrototypes.h"         // Prototypes for global functions within the 'c' files
#include "DSP2833x_ePwm_defines.h"             // Macros used for PWM examples.
#include "DSP2833x_Dma_defines.h"              // Macros used for DMA examples.
#include "DSP2833x_I2C_defines.h"              // Macros used for I2C examples.


//---------------------------------------------------------------------------
// Include files not used with DSP/BIOS
//---------------------------------------------------------------------------
#ifndef DSP28_BIOS
	#include "DSP2833x_DefaultISR.h"
#endif


// --------------------------------------------------------------------------
#ifdef __cplusplus
}
#endif /* extern "C" */
// --------------------------------------------------------------------------

// ---------------------------------------------------------------------------
#endif /* DERIVATIVE_H_*/
// ---------------------------------------------------------------------------
