// -----------------------------------------------------------------------------------------
// Entete du fichier de dfinition des variables globales de l'application
// -----------------------------------------------------------------------------------------
#ifndef VARIABLES_H

// -----------------------------------------------------------------------------------------
// Dfinition permettant de mutualiser la dclaration et la cration des
// variables  partir du fichier d'entete.
// Note : la variable "CREATION_VARIABLES" ne doit exister que dans le module
// o l'on souhaite alloue l'espace mmoire aux variables
// -----------------------------------------------------------------------------------------
#ifdef CREATION_VARIABLES
	#define VARTYPE 	  		// ici VARTYPE est vide pour permettre la cration
#else
	#define VARTYPE extern		// ici VARTYPE permet de dclarer les variables
#endif
// -----------------------------------------------------------------------------------------

// -----------------------------------------------------------------------------------------
VARTYPE int tmp1;

// -----------------------------------------------------------------------------------------
void InitVariables(void);

// -----------------------------------------------------------------------------------------
#endif
// -----------------------------------------------------------------------------------------


